Package pywbem :: Module cim_operations :: Class CIMError |
[frames] | no frames]

# Class CIMError

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                      cim_http.Error --+
                                       |
                                      CIMError

Exception indicating that the WBEM server has returned an error response with a CIM status code.

The exception value is a tuple of `(error_code, description, exception_obj)`, where:

> - `error_code`: the numeric CIM status code. See cim_constants for constants defining CIM status code values.
> - `description`: a string (`unicode` or UTF-8 encoded `str`) that is the CIM status description text returned by the server, representing a human readable message describing the error.
> - `exception_obj`: the underlying exception object that caused this exception to be raised, or `None`. Will always be `None`.

Instance Methods
Inherited from `exceptions.Exception`: `__init__`, `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__str__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`